% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/task_spec.R
\name{install_task_spec}
\alias{install_task_spec}
\title{Create a task to install a package and dependencies}
\usage{
install_task_spec(type = getOption("pkgType"), INSTALL_opts = NULL, ...)
}
\arguments{
\item{type}{character, indicating the type of package to download and
    install.  Will be \code{"source"} except on Windows and some macOS
    builds: see the section on \sQuote{Binary packages} for those.
  }

\item{INSTALL_opts}{
    an optional character vector of additional option(s) to be passed to
    \command{R CMD INSTALL} for a source package install.  E.g.,
    \code{c("--html", "--no-multiarch", "--no-test-load")}.

    Can also be a named list of character vectors to be used as
    additional options, with names the respective package names.
  }

\item{...}{Additional parameters passed to \code{\link[=task_spec]{task_spec()}}}
}
\description{
Create a task to install a package and dependencies
}
\seealso{
Other tasks: 
\code{\link{check_task_spec}()},
\code{\link{checked-task-df}},
\code{\link{custom_install_task_spec}()},
\code{\link{rev_dep_check_tasks_df}()},
\code{\link{revdep_check_task_spec}()},
\code{\link{source_check_tasks_df}()},
\code{\link{task_spec}()}
}
\concept{tasks}
